

<div class="container">
    <app-asset-button></app-asset-button>
    <br>

    <div class="row">
    <span class="col-6" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="addAsset()" data-target="#driver-Slider">Add Driver
      </button>
    </span>
        <span class="col-3" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="downLoadPdf()" >Download Driver
      </button>
    </span>
        <span class="col-3 pull-right" >
      <div class="input-group">
           <input type="text" name="search" name="term" [(ngModel)]="searchText" placeholder="Search Driver Name">


      </div>
    </span>
    </div>
    <br>

</div>

<div class="container">
    <div class="row">
        <table class="table table-bordered">
            <thead>
            <tr>
                <th>Driver Name</th>
                <th>Driver Id</th>
                <th>Phone Number</th>
                <th>State</th>
                <th>City</th>
                <th>Address</th>
                <th>PinCode</th>
                <th>EmailID</th>
                <th>Aadhaar No.</th>
                <th>Status</th>
                <th>Liscence NO.</th>
                <th>Liscence valid till</th>
                <th>Comments</th>
                <th>EDIT</th>
                <th>DELETE</th>
            </tr>
            </thead>
            <tbody>
          <!--  {{driverAssetList|json}}-->
            <tr *ngFor="let driverAsset of driverAssetList | grdFilter: {driverName: searchText};">
                <td>{{driverAsset.driverName}}</td>
                <td>{{driverAsset.driverID}}</td>
                <td>{{driverAsset.PersonPhone}}</td>
                <td>{{driverAsset.state}}</td>
                <td>{{driverAsset.city}}</td>
                <td>{{driverAsset.address}}</td>
                <td>{{driverAsset.pincode}}</td>
                <td>{{driverAsset.emailId}}</td>
                <td>{{driverAsset.adhaarNo}}</td>
                <td>{{driverAsset.status}}</td>
                <td>{{driverAsset.liscenceNumber}}</td>
                <td>{{driverAsset.liscenceValidity.day}}/{{driverAsset.liscenceValidity.month}}/{{driverAsset.liscenceValidity.year}}</td>
                <td>{{driverAsset.comments}}</td>

                <td>
                    <button type="button" class="btn btn-warning" data-toggle="modal"
                            (click)="editIntermediatedriver(driverAsset)" data-target="#driver-Slider">Edit
                    </button>
                </td>
                <td>
                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"
                            (click)="intermerdiateDeleteTranasaction(driverAsset)">Delete
                    </button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="pagination.totalPageCount>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>
</div>
<!--(syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"-->
<div>
    <div class="modal fade right" id="driver-Slider" tabindex="-1" role="dialog" style="overflow: auto">
        <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background:#7986CB">
                    <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title uppercase" *ngIf="!isEdit">ADD driver</h4>
                    <h4 class="modal-title uppercase"  *ngIf="isEdit">EDIT driver</h4>
                </div>

                <div class="modal-body">
                    <app-driver-asset-from (assetAdded)="assetdriverAdded($event)"  [driverEditId]="driverEditDetails._id" [isEditMode]="isEdit"></app-driver-asset-from>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete driver Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete driver {{driverDetails.driverName}}
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deletedriverDetails(driverDetails)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>





